Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class ConfigApp

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  java.applet.Applet
                      javax.swing.JApplet
                          com.digi.config.ui.ConfigApp

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable

public class ConfigApp
extends javax.swing.JApplet

This class is the primary root class of the GUI. This class extends JApplet and can therefore be used as an applet. It also has a main method that allows this class to be used as an application as well.

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` | `ConfigApp.InitConfigAppPanelThread`

Nested classes inherited from class javax.swing.JApplet
`javax.swing.JApplet.AccessibleJApplet`

Nested classes inherited from class java.applet.Applet
`java.applet.Applet.AccessibleApplet`

Nested classes inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`(package private) boolean` | `appletMode` flag indicating if this is being run as an applet or an application
`(package private) javax.swing.JFrame` | `configAppFrame` The frame holding the main ConfigAppPanel
`protected ConfigAppPanel` | `configPanel` The ConfigAppPanel associated with this applet
`(package private) static com.digi.config.util.HttpsSocketFactory` | `httpsSocketFactory` SocketFactory required when running as a standalone application
`protected static ConfigApp` | `m_currentApplet` The applet singleton
`(package private) static javax.swing.JFrame` | `shellAppFrame` Shell frame used when running as a standalone application - holds the splash screen

Fields inherited from class javax.swing.JApplet
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ConfigApp()`

Method Summary
`static ConfigApp` | `currentApplet()`
`protected void` | `exitApplication()`
`void` | `init()` Applet method to initialize the applet.
`protected void` | `launchConfigAppFrame()` Opens the now loaded ConfigAppPanel in a standalone jframe
`static void` | `main(java.lang.String[] args)` The entry point when running this program as an application.
`void` | `setConfigPanel(ConfigAppPanel configPanel)`

Methods inherited from class javax.swing.JApplet
`addImpl, createRootPane, getAccessibleContext, getContentPane, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, remove, setContentPane, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.applet.Applet
`destroy, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus, start, stop`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### httpsSocketFactory

    static com.digi.config.util.HttpsSocketFactory httpsSocketFactory

  SocketFactory required when running as a standalone application

### shellAppFrame

    static javax.swing.JFrame shellAppFrame

  Shell frame used when running as a standalone application - holds the splash screen

### configAppFrame

    javax.swing.JFrame configAppFrame

  The frame holding the main ConfigAppPanel

### appletMode

    boolean appletMode

  flag indicating if this is being run as an applet or an application

### configPanel

    protected ConfigAppPanel configPanel

  The ConfigAppPanel associated with this applet

### m_currentApplet

    protected static ConfigApp m_currentApplet

  The applet singleton

Constructor Detail

### ConfigApp

    public ConfigApp()

Method Detail

### main

    public static void main(java.lang.String[] args)

  The entry point when running this program as an application.

### init

    public void init()

  Applet method to initialize the applet. This method places a progress splash screen in the display area and then asynchronously starts construction of the main applet. This construction happens in a background thread and eventually launches a new frame window holding the config GUI. As construction progresses, updates are made by the background thread to the progress bar in the Splash Screen.

### setConfigPanel

    public void setConfigPanel(ConfigAppPanel configPanel)

### currentApplet

    public static ConfigApp currentApplet()

### launchConfigAppFrame

    protected void launchConfigAppFrame()

  Opens the now loaded ConfigAppPanel in a standalone jframe

### exitApplication

    protected void exitApplication()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.